Subject: bug#52007: [External] : Re: bug#52007: 26.3; Doc of `define-globalized-minor-mode' and global(ized) minor modes

From: Drew Adams <[email-masked]>
Date: Sun, 21 Nov 2021 17:22:30 +0000

> > It's even worse than I thought.
> >
> > The first line of the doc string of the globalized
> > version of minor mode `foo-mode' (`global-foo-mode')
> > says that it toggles `foo-mode' everywhere:
> >
> >   Toggle Foo mode in all buffers.
> >
> > It doesn't do that at all.  Instead, it toggles
> > `global-foo-mode'.
> 
> No, it turns ON both foo-mode and global-foo-mode.

You missed the point of the bug report.
Toggling the global mode turns them both on (or off,
depending on the current value of `global-foo-mode')
in all buffers, yes.

That's not what it means to toggle `foo-mode'
everywhere.  Doing that would flip the value that
`foo-mode' (non-global mode) has in each buffer.

Correcting the doc to say that it toggles the
global mode was correct.  Saying that it toggles
the local mode everywhere was incorrect.

Glad this will be fixed in Emacs 28.  (And no, I
wasn't "looking at an old Emacs".  I reported on
the latest Emacs release, Emacs 27.2.)